package com.ruoyi.project.training.bccnew.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.training.bccnew.domain.TTsLjplanTmpl;

/**
 * 裂解培训模版Mapper接口
 * 
 * @author ssy
 * @date 2024-06-13
 */
public interface TTsLjplanTmplMapper 
{
    /**
     * 查询裂解培训模版
     * 
     * @param id 裂解培训模版ID
     * @return 裂解培训模版
     */
    public TTsLjplanTmpl selectTTsLjplanTmplById(Long id);

    /**
     * 查询裂解培训模版列表
     * 
     * @param tTsLjplanTmpl 裂解培训模版
     * @return 裂解培训模版集合
     */
    public List<TTsLjplanTmpl> selectLjTmplListWithoutContent(TTsLjplanTmpl tTsLjplanTmpl);
    public List<TTsLjplanTmpl> selectTTsLjplanTmplList(TTsLjplanTmpl tTsLjplanTmpl);

    /**
     * 新增裂解培训模版
     * 
     * @param tTsLjplanTmpl 裂解培训模版
     * @return 结果
     */
    public int insertTTsLjplanTmpl(TTsLjplanTmpl tTsLjplanTmpl);

    /**
     * 修改裂解培训模版
     * 
     * @param tTsLjplanTmpl 裂解培训模版
     * @return 结果
     */
    public int updateTTsLjplanTmpl(TTsLjplanTmpl tTsLjplanTmpl);

    /**
     * 删除裂解培训模版
     * 
     * @param id 裂解培训模版ID
     * @return 结果
     */
    public int deleteTTsLjplanTmplById(Long id);

    /**
     * 批量删除裂解培训模版
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTTsLjplanTmplByIds(Long[] ids);
}
